=== debian/changelog ===
ros-rviz (1.14.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.1+dfsg
  * Simplify dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jul 2020 07:21:23 +0200

ros-rviz (1.14.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.14.0+dfsg
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump debhelper versions
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Jun 2020 14:00:39 +0200

ros-rviz (1.13.7+dfsg-2) unstable; urgency=medium

  * Support multiple Python versions
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 18:59:45 +0200
