=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libboost-thread-dev, libassimp-dev, libgl1-mesa-dev | libgl-dev, libqt5opengl5-dev, libimage-transport-dev, libinteractive-markers-dev (>= 1.12.0) , liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python3-python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python3-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libeigen3-dev, libogre-1.9-dev, librostest-dev, libyaml-cpp-dev, liburdfdom-dev, python3-all-dev, dh-sequence-python3, python3-sip-dev, libx11-dev, chrpath, libstd-msgs-dev, ros-std-msgs,
Standards-Version: 4.5.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rviz
Vcs-Git: https://salsa.debian.org/science-team/ros-rviz.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rviz

Package: librviz-dev
Section: libdevel
Architecture: any
Depends: librviz5d (= ${binary:Version}), ${misc:Depends}, libimage-transport-dev, libinteractive-markers-dev (>= 1.12.0) , liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python3-python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python3-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libogre-1.9-dev
Description: Development files for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the development files for the rviz library.

Package: librviz5d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, libqt5svg5
Description: 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz program.

Package: python3-rviz
Section: python
Architecture: any
Depends: ${python3:Depends}, ${sip3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-python-qt-binding
Description: Python 3 bindings for the 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the Python 3 interface to the rviz library.
