=== debian/changelog ===
ros-rviz (1.14.4+dfsg-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 18:16:07 +0100

ros-rviz (1.14.4+dfsg-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 13:59:32 +0100

ros-rviz (1.14.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.4+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Nov 2020 11:41:29 +0100

ros-rviz (1.14.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.3+dfsg
  * Link against OGRE 1.12

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 06 Nov 2020 17:58:42 +0100
