=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version} -DCATKIN_ENABLE_TESTING=OFF
export PYBUILD_SYSTEM=cmake

%:
	dh $@ --with=sip3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/lib/python3*/*/rviz/*.so
