## ros-rviz 1.14.14%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,14 +26,19 @@
 find_package(urdfdom_headers REQUIRED)
 
 set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)  # required due to a bug in assimp 5.0
-find_package(ASSIMP REQUIRED)
+find_package(assimp REQUIRED)
 if(NOT DEFINED ASSIMP_LIBRARIES AND TARGET assimp::assimp)
   # ASSIMP >= 5.0 no longer defines ASSIMP_LIBRARIES
   set(ASSIMP_LIBRARIES assimp::assimp)
 endif()
 
 find_package(OGRE QUIET COMPONENTS Overlay)
-if(NOT OGRE_FOUND)
+if(OGRE_FOUND)
+  if(${OGRE_VERSION} VERSION_LESS 1.11)
+    set(OGRE_INCLUDE_DIRS ${OGRE_INCLUDE_DIRS} ${OGRE_Overlay_INCLUDE_DIRS})
+    set(OGRE_LIBRARIES ${OGRE_LIBRARIES} ${OGRE_Overlay_LIBRARIES})
+  endif()
+else()
   # OGRE doesn't come with correctly installed cmake files on Linux. Use pkg-config instead.
   # We need both, OGRE and OGRE-Overlay. Look for both simulatenously and use prefix X_
   find_package(PkgConfig REQUIRED)
@@ -123,7 +128,6 @@
   pluginlib
   python_qt_binding
   resource_retriever
-  rosbag
   rosconsole
   roscpp
   roslib
